Orders

Fields

  • acme_key_id - Account key that created this order.
  • created_at - Order creation time
  • directory_id - Directory to which this order belongs.
  • dns_identifiers - DNS names for the order.
  • expires_at - Order expiration time.
  • id - CertFu’s ID for the order, eg: ordr_sample123456.
  • ip_identifiers - IP addresses for the order.
  • issued_cert - Cert issued for this order.
  • not_after - Requested not-after time.
  • not_before - Requested not-before time.
  • object - Always order.
  • state - pending, ready, processing, valid, or invalid.
Required permissions
API Permission
List, Retrieve read
Cancel admin

List orders

Query params
  • acme_key_id - Filter by acme_key_id.
  • directory_id - Filter by directory_id.
  • state - Filter by state.
  • Plus standard paging params.
    • direction - Default is desc.

At least one of acme_key_id or directory_id is required.

Request
GET /v1/orders?directory_id=dir_sample123456
Response

On success, 200 with 0 or more orders.

{
  "collection": [
    {
      "acme_key_id": "acmk_sample123456",
      "created_at": "2026-01-01T00:00:00.000Z",
      "directory_id": "dir_sample123456",
      "dns_identifiers": [
        "example.com"
      ],
      "expires_at": "2026-01-01T00:00:00.000Z",
      "id": "ordr_sample123456",
      "ip_identifiers": [],
      "not_after": null,
      "not_before": null,
      "object": "order",
      "state": "pending"
    }
  ],
  "more_results": false
}

Retrieve an order

Request
GET /v1/orders/ordr_sample123456
Response

On success, 200 with the order.

{
  "acme_key_id": "acmk_sample123456",
  "created_at": "2026-01-01T00:00:00.000Z",
  "directory_id": "dir_sample123456",
  "dns_identifiers": [
    "example.com"
  ],
  "id": "ordr_sample123456",
  "ip_identifiers": [],
  "issued_cert": {
    "acme_key_id": "acmk_sample123456",
    "directory_id": "dir_sample123456",
    "expires_at": "2026-01-01T00:00:00Z",
    "id": "icrt_sample123456",
    "object": "issued_cert",
    "order_id": "ordr_sample123456",
    "revoke_reason": null,
    "signing_cert_id": "scrt_sample123456",
    "state": "valid",
    "subjects": [
      "example.com"
    ]
  },
  "not_after": null,
  "not_before": null,
  "object": "order",
  "state": "valid"
}

Cancel an incomplete order

Request
DELETE /v1/orders/ordr_sample123456
Response

On success, 200 with the updated order.

{
  "acme_key_id": "acmk_sample123456",
  "created_at": "2026-01-01T00:00:00.000Z",
  "directory_id": "dir_sample123456",
  "dns_identifiers": [
    "example.com"
  ],
  "expires_at": "2026-01-01T00:00:00.000Z",
  "id": "ordr_sample123456",
  "ip_identifiers": [],
  "not_after": null,
  "not_before": null,
  "object": "order",
  "state": "invalid"
}

On error, 422 with standard error response.